//////////////////////////////////////////////////////////////////////////
//
// iCRC Performance Monitor Object Symbol File
//
//////////////////////////////////////////////////////////////////////////

// Scan Counter Object

#define PERF_OBJECT_O11_SCAN_COUNTER                                          0
#define PERF_OBJECT_O11_TOTAL_SCAN_FILES                                      2
#define PERF_OBJECT_O11_TOTAL_SCAN_VIRUS_COUNT                                4
#define PERF_OBJECT_O11_SUSPICIOUS_FILE_RECORDS                               6
#define PERF_OBJECT_O11_TOTAL_LOCATION_SWITCH_COUNT                           8


// CRC Query Counter
#define PERF_OBJECT_O11_CRC_COUNTER                                           10

#define PERF_OBJECT_O11_TOTAL_HTTP_REQUEST_COUNT                              12
#define PERF_OBJECT_O11_TOTAL_UPDATE_HTTP_REQUEST_COUNT                       14
#define PERF_OBJECT_O11_TOTAL_HTTP_QUERY_TIME                                 16
#define PERF_OBJECT_O11_MINIMUM_HTTP_QUERY_TIME                               18
#define PERF_OBJECT_O11_AVERAGE_HTTP_QUERY_TIME                               20
#define PERF_OBJECT_O11_MAXIMUM_HTTP_QUERY_TIME                               22
#define PERF_OBJECT_O11_TOTAL_CRC_QUERY_COUNT                                 24
#define PERF_OBJECT_O11_TOTAL_CRC_QUERY_ERROR_COUNT_NETWORK_ERROR             26
#define PERF_OBJECT_O11_TOTAL_CRC_QUERY_ERROR_COUNT_SERVER_ERROR              28
#define PERF_OBJECT_O11_TOTAL_CRC_QUERY_ERROR_COUNT_NETWORK_TIMEOUT           30
#define PERF_OBJECT_O11_TOTAL_CRC_QUERY_ERROR_COUNT_OTHER_ERROR               32
#define PERF_OBJECT_O11_TOTAL_CRC_QUERY_WITH_ASYNC_BLOOM_FILETER_PATTERN_COUNT 34
#define PERF_OBJECT_O11_TOTAL_CRC_QUERY_TIME                                  36
#define PERF_OBJECT_O11_MINIMUM_CRC_QUERY_TIME                                38
#define PERF_OBJECT_O11_AVERAGE_CRC_QUERY_TIME                                40
#define PERF_OBJECT_O11_MAXIMUM_CRC_QUERY_TIME                                42
#define PERF_OBJECT_O11_TOTAL_CRC_QUERY_BYTE_SENT                             44
#define PERF_OBJECT_O11_TOTAL_CRC_QUERY_BYTE_SENT_OVERHEAD                    46
#define PERF_OBJECT_O11_TOTAL_CRC_QUERY_BYTE_RECEIVED                         48
#define PERF_OBJECT_O11_TOTAL_CRC_QUERY_BYTE_RECEIVED_OVERHEAD                50
#define PERF_OBJECT_O11_TOTAL_CRC_QUERY_BYTE                                  52
#define PERF_OBJECT_O11_TOTAL_TCP_CONNECTION                                  54
#define PERF_OBJECT_O11_TOTAL_BF_QUERY_COUNT                                  56
#define PERF_OBJECT_O11_TOTAL_BF_NOT_HIT_COUNT                                58
#define PERF_OBJECT_O11_TOTAL_BF_FALSE_POSITIVE_COUNT                         60
#define PERF_OBJECT_O11_CRC_CACHED_ITEM_COUNT                                 62
#define PERF_OBJECT_O11_TOTAL_CRC_CACHE_HIT_COUNT                             64
#define PERF_OBJECT_O11_CRC_CACHE_HIT_RATE                                    66
#define PERF_OBJECT_O11_CRC_CACHE_CRC_DIFF_PURGED_ITEM_COUNT                  68
#define PERF_OBJECT_O11_CRC_CACHE_ASYNC_ITEM_PURGED_COUNT                     70
#define PERF_OBJECT_O11_TOTAL_BF_FULL_PATTERN_DOWNLOAD_COUNT                  72
#define PERF_OBJECT_O11_TOTAL_BF_FULL_PATTERN_BYTE_DOWNLOADED                 74
#define PERF_OBJECT_O11_TOTAL_BF_FULL_PATTERN_BYTE_DOWNLOADED_OVERHEAD        76
#define PERF_OBJECT_O11_CRC_PATTERN_VERSION                                   78
#define PERF_OBJECT_O11_CRC_QUERY_QUEUE_SIZE                                  80
#define PERF_OBJECT_O11_UPDATE_COMMAND_QUEUE_SIZE                             82
#define PERF_OBJECT_O11_EVENT_CALLBACK_QUEUE_SIZE                             84
#define PERF_OBJECT_O11_SCANMODE                                              86
#define PERF_OBJECT_O11_EXTERNAL_CACHE_HIT_COUNT                              88
#define PERF_OBJECT_O11_EXTERNAL_CACHE_MISS_COUNT                             90
#define PERF_OBJECT_O11_CHECK_SERVER_STATUS_COUNT                             92

#define PERF_OBJECT_O11_TOTAL_BF_HIT_COUNT_MAIN                               94
#define PERF_OBJECT_O11_TOTAL_BF_HIT_COUNT_DIFF                               96

#define PERF_OBJECT_O11_CRC_PATTERN_VERSION_MAIN                              98
#define PERF_OBJECT_O11_CRC_PATTERN_DIFF_COUNT                               100
#define PERF_OBJECT_O11_CRC_PATTERN_DIFF_ENTRY_COUNT                         102
#define PERF_OBJECT_O11_FORCE_QUERY_COUNT                                    104

#define PERF_OBJECT_O11_FULL_PURGE_CACHE_FULL_UPDATE                         106
#define PERF_OBJECT_O11_FULL_PURGE_CACHE_INCOMPLETE                          108
#define PERF_OBJECT_O11_FULL_PURGE_CACHE_API                                 110
#define PERF_OBJECT_O11_VINFO_PURGE_COUNT                                    112

#define PERF_OBJECT_O11_ADDRESS_FAMILY_SELECTOR_LAST_REFRESH_TIME            114
#define PERF_OBJECT_O11_ADDRESS_FAMILY_SELECTOR_SELECTED_IP                  116
#define PERF_OBJECT_O11_ADDRESS_FAMILY_SELECTOR_SELECTED_FAMILY              118
#define PERF_OBJECT_O11_ADDRESS_FAMILY_SELECTOR_CONNECTION_SPENT_TIME        120
#define PERF_OBJECT_O11_ADDRESS_FAMILY_SELECTOR_DECISION_SPENT_TIME          122

#define PERF_OBJECT_O11_IN_FULL_DOWNLOAD_MODE   124
#define PERF_OBJECT_O11_TARGET_TIME_START   126
#define PERF_OBJECT_O11_TARGET_TIME_END   128
#define PERF_OBJECT_O11_TARGET_TIME_FORCE   130
#define PERF_OBJECT_O11_RANDOMIZED_INTERVAL   132
#define PERF_OBJECT_O11_ENTER_TIME   134
#define PERF_OBJECT_O11_RECALCULATE_TIME   136
#define PERF_OBJECT_O11_LEAVE_TIME   138
#define PERF_OBJECT_O11_TOTAL_TRUE_DNS_QUERY_COUNT   140
// <ADD NEW COUNTER HERE> <LASTNUM:140>
