var L10NStrings = {
PAGE_TITLE: "Search & Destroy-Edit Search Task",
KEY2: "Help",
KEY3:"Mailbox Search",
KEY4:"New",
KEY5:"Estimate Matches",
KEY6:"Search",
KEY7:"Name",
KEY8:"Tip: Type a descriptive name indicating the purpose of the search to help with distinguishing among multiple searches.",
KEY9:"Keywords",
KEY10:"Type the keyword(s) for ScanMail to locate. Use uppercase, logical operators (AND, OR, NOT) to separate multiple keywords. Use parentheses () to group keywords. Use double quotation marks (\"\") to search for phrases. For wildcard searches, place an asterisk (*) after the keyword. Alternatively, use Advanced Query Syntax(AQS)(for Exchange 2010) or keyword Query Language (KQL) (for Exchange 2013) to narrow the search parameters ",
KEY11:"Mailbox Components",
KEY12:"All mailbox components (including components not listed below)",
KEY13:"Specific mailbox components:",
KEY14:"Email",
KEY15:"Meetings",
KEY16:"Journal",
KEY17:"Tasks",
KEY18:"Contacts",
KEY19:"Notes",
KEY20:"Instant messaging conversations",
KEY21:"Specific Senders or Recipients",
KEY22:"Narrow the search by typing display names, email addresses, or domain names. ScanMail only searches messages sent to or from the names provided. Separate each entry using a comma (,). ",
KEY23:"Sender:",
KEY24:"For example:abc@def.com,@def.com",
KEY25:"Recipient:",
KEY26:"For example:abc@def.com,@def.com",
KEY27:"Date",
KEY28:"Search all",
KEY29:"Search the date range:",
KEY30:"Time zone:",
KEY31:"Date and time range:",
KEY32:"From",
KEY33:"To",
KEY34:"MM/dd/yy",
KEY35:"hh",
KEY36:"Mailboxes",
KEY37:"Search all mailboxes",
KEY38:"Specific user or distribution group",
KEY39:"Search by the display name of the user or the distribution group",
KEY39_1:"Search by the display name of the mailbox database",
KEY40:"Search",
KEY41:"Available Mailbox(es)",
KEY42:"Add",
KEY43:"Remove",
KEY44:"Import",
KEY45:"Export",
KEY46:"Selected Mailbox(es)",
KEY47:"Discovery Mailbox",
KEY48:"Specify the discovery mailbox to store search results.",
KEY49:"Available Discovery Mailbox(es)",
KEY50:"Change >>",
KEY51:"Estimate Matches",
KEY52:"Search Now",
KEY53:"Search Later",
KEY54:" Save",
KEY55:" Back",
KEY56:"Status",
KEY57:"Allow changes to the search options",
KEY58:"Not started",
KEY59:"",
KEY60:"ScanMail is estimating the number of matches...",
KEY61:"Note:The search may take some time to complete. Click Back to return to the Mailbox Search screen or any menu item to continue using ScanMail without interrupting the search.",
KEY62:"Stop Search",
KEY63:"ScanMail is searching for matches...",
KEY64:"Estimated component matches:",
KEY65:"Estimated size of components:",
KEY66:"Note:The search may take some time to complete. Click Back to return to the Mailbox Search screen or any menu item to continue using ScanMail without interrupting the search.",
KEY67:"Stop Search",
KEY68:"The scheduled search begins at ",
KEY69:"Note:The search may take some time to complete. Click Back to return to the Mailbox Search screen or any menu item to continue using ScanMail without interrupting the search.",
KEY70:"Cancel Search",
KEY71:"The mailbox search estimation completed successfully.",
KEY72:"Estimated number of items is big and the search may last long time. Suggest to modify search criteria.",
KEY73:"Estimated size of items is big and may occupy high percentage of the storage of the mail server containing discovery mail box. Suggest to modify search criteria",
KEY74:"The search was unsuccessful. Exchange reported the following error(s) while performing the search:",
KEY76:"The mailbox search completed successfully.",
KEY77:"Components matched:",
KEY78:"Size of components:",
KEY79:"View Search Results",
KEY80:"The search was unsuccessful. Exchange reported the following error(s) while performing the search:",
KEY82:"Mailbox Search Schedule",
KEY83:"Specify the date and time to begin the mailbox search.",
KEY84:"Time zone:",
KEY85:"Date and time:",
KEY86:"MM/dd/yyyy",
KEY87:"hh",
KEY88:"mm",
KEY89:"OK",
KEY90:"Cancel",
KEY91:"Searching discovery mailboxes in current exchange organization",
KEY92:"View Mailbox Search",
KEY93:"For a list of possible reasons, click ",
KEY94:"here",
KEY95:"The mailbox search was partially successful. Exchange reported the following error(s) while performing the search:",
KEY96:"Action",
KEY97:"Search and compile:",
KEY98:"All matched results are compiled for review (recommended)",
KEY99:"Search and delete:",
KEY100:"All matched results are automatically deleted (not recommended)",
KEY100_1:"Trend Micro only recommends automatically deleting messages in high security environments.",
KEY101:"Mailboxes:",
KEY102:"All mailboxes",
KEY103:"Specific user or distribution group members' mailboxes",
KEY104:"Specific databases of mailboxes",
KEY105:"Available Database(s)",
KEY106:"Selected Database(s)",
KEY107:"Problems were encountered during the mailbox search. Only a partial list of search results is available. Resolve the issues and run the search again for a complete list of search results.",
KEY108:"Components matched:",
KEY109:"Size of components:",
KEY110:"Number of issues:",
KEY111:"Issue Detail",
KEY112:"Ignore",
KEY113:"Search Again",
KEY114:"Show details",
KEY115:"Problems were encountered during the estimation. Only a partial estimation is available Resolve the issues and run the estimation again for comprehensive results.",
KEY116:"Estimate Again",
KEY117:"ID"
};
g_L10NVariables.push(L10NStrings);