var PreElement = new Array();
var CurElement;
var Navigation_HIGHLIGHT_RED = "#990000";
var Navigation_HIGHLIGHT_WHITE = "#FFFFFF";

function Navigation_processSingle(element)
{
    CurElement = element;
	if((PreElement.length != 0) && !Navigation_canChange(element))
        return false;
    var eleLevel =  getLevel(element);
	Navigation_recover();
    switch(eleLevel){
        case "Level1":
			var tdElem = document.getElementById(element.id + "_td");
            tdElem.className = "navactive";
            element.style.color = Navigation_HIGHLIGHT_WHITE;
            break; 
            
        case "Level2":
            element.style.color = Navigation_HIGHLIGHT_RED;
			element.style.fontWeight = "bolder";
			break; 
            
        case "Level3":
			element.style.color = Navigation_HIGHLIGHT_RED;
			element.style.fontWeight = "bolder";
            break;   
            
    }
    var imgElem =  document.getElementById(element.id + "_img");
    imgElem.src = "images/left_navi_arrow.gif";
    Navigation_saveCurrentElement(element);
}

function Navigation_processMenu(element)
{
	CurElement = element;
	var eleItems = document.getElementById(element.id + "_items");
    eleItems.style.display = (eleItems.style.display == "none")?"":"none";
	var eleLevel =  getLevel(element);
	if(CurElement == PreElement[PreElement.length - 1]) //Click itself
	{
		if(eleItems.style.display == "none")
		{
			Navigation_recoverMenu(CurElement);
			return;
		}
	}
	else if(eleLevel == "Level1") //Click different level1 menu
	{
		Navigation_recover();
	}
    
    switch(eleLevel){
        case "Level1":
            var tdElem = document.getElementById(element.id + "_td");
            tdElem.className = "navactive";
            element.style.color = Navigation_HIGHLIGHT_WHITE;
            var imgElem =  document.getElementById(element.id + "_img");
            imgElem.src = "images/nav_arrow_active.gif"; 
            break; 
            
        case "Level2":
            element.style.color = Navigation_HIGHLIGHT_RED;
            var imgElem =  document.getElementById(element.id + "_img");
            imgElem.src = "images/minus.gif";
			break;
    }
    
    Navigation_saveCurrentElement(element);
}

function Navigation_canChange(element)
{
    if(PreElement == element)
        return false;
    else
        return true;  
}

function getLevel(element)
{
	var eleProperties =  element.id.split("_");
	return eleProperties[0];
}

function getType(element)
{
	var eleProperties =  element.id.split("_");
	return eleProperties[1];
}

function getParentID(element)
{
	var eleProperties =  element.id.split("_");
	var tempLevel = "Level" + (parseInt(eleProperties[0].substr(eleProperties[0].length-1,1))-1);
	var strID = "";
	
	for(var i=2;i<eleProperties.length-1;i++)
	{
		strID = strID + "_" + eleProperties[i];
	}
	var parentID = tempLevel + "_Menu" + strID;
	return parentID;
}

function Navigation_saveCurrentElement(element)
{
	for(var i=0;i<PreElement.length;i++){
		if(element == PreElement[i])
			return;
	}
	PreElement.push(element);
}

function Navigation_recover()
{
    if(PreElement.length == 0) return;
	var nPreEle = PreElement.length;
    var curType = getType(CurElement);
	var curLevel = getLevel(CurElement);
	var tempElement = CurElement;
	var tempAry = new Array();
	var tempType;
	var tempLevel;
	var isSameParent;
	
	if(curType == "Single"){
		 var eleLevel =  getLevel(CurElement);
		 var nLevel = parseInt(eleLevel.substr(eleLevel.length-1,1));
		 for(var i=nPreEle-1;i>-1;i--)
		 {
			if(nLevel >1)
			{
				tempParentID = getParentID(tempElement);
				tempLevel = getLevel(PreElement[i]);
				if(eleLevel == tempLevel )
				{ 
					isSameParent = checkIsSameParent(tempElement, PreElement[i]);
				}
				else
				{
					isSameParent = false;
				}
				
				if(isSameParent) //Same Level and same parent
				{
					tempType = getType(PreElement[i]);
					if(tempType == "Single")
						Navigation_recoverSingle(PreElement[i]);
					else if(tempType == "Menu")
						Navigation_recoverMenu(PreElement[i]);
				}
				else if(tempParentID != PreElement[i].id) //Different parent
				{
					tempType = getType(PreElement[i]);
					if(tempType == "Single")
						Navigation_recoverSingle(PreElement[i]);
					else if(tempType == "Menu")
						Navigation_recoverMenu(PreElement[i]);
					
					if(parseInt(eleLevel.substr(eleLevel.length-1,1)) >= parseInt(tempLevel.substr(tempLevel.length-1,1)))
						nLevel = nLevel - 1;
				}
				else
				{
					tempAry.unshift(PreElement[i]);
					if(tempLevel != "Level1")
						tempElement = document.getElementById(tempParentID);
					
					nLevel = nLevel - 1;
				}
				eleLevel =  getLevel(tempElement);
			}
			else
			{
				tempType = getType(PreElement[i]);
				if(tempType == "Single")
					Navigation_recoverSingle(PreElement[i]);
				else if(tempType == "Menu")
					Navigation_recoverMenu(PreElement[i]);
			}
			PreElement.pop();
			
		 }
		 if(tempAry.length >0)
		 	PreElement = tempAry;
	}
    else if(curType == "Menu"){
         for(var i=nPreEle-1;i>-1;i--)
		 {
		 	tempType = getType(PreElement[i]);
			if(tempType == "Single"){
				return;
			}
			else if(tempType == "Menu"){
				Navigation_recoverMenu(PreElement[i]);
				PreElement.pop();
			}
		 }
	}
}

function Navigation_recoverSingle(element)
{
    if(!element) return;
    var eleLevel =  getLevel(element);
    switch(eleLevel){
        case "Level1":
            var tdElem = document.getElementById(element.id + "_td");
            tdElem.className = "navinactive";
            element.style.color = "";
            var imgElem =  document.getElementById(element.id + "_img"); 
            imgElem.src =  "images/nav_arrow_inactive_space.gif";  
            break; 
            
        case "Level2":
			element.style.color = "";
			element.style.fontWeight = "";
			var imgElem =  document.getElementById(element.id + "_img"); 
            imgElem.src =  "images/nav_arrow_inactive_space.gif"; 
            break; 
            
        case "Level3":
			element.style.color = "";
			element.style.fontWeight = "";
			var imgElem =  document.getElementById(element.id + "_img"); 
            imgElem.src =  "images/nav_arrow_inactive_space.gif"; 
            break;   
            
    }   
}

function Navigation_recoverMenu(element)
{
    if(!element) return;
    
    var eleItems = document.getElementById(element.id + "_items");  
    if(eleItems.style.display == "") 
         eleItems.style.display = "none";   
         
    var eleLevel =  getLevel(element);
    switch(eleLevel){
        case "Level1":
            var tdElem = document.getElementById(element.id + "_td");
            tdElem.className = "navinactive";
            element.style.color = "";
            var imgElem =  document.getElementById(element.id + "_img"); 
            imgElem.src =  "images/nav_arrow_inactive.gif";   
            break; 
            
        case "Level2":
            element.style.color = "";
            var imgElem =  document.getElementById(element.id + "_img"); 
            imgElem.src =  "images/plus.gif";  
			break; 
            
    }   
}

function checkIsSameParent(Elem1, Elem2)
{
	var ParentID1 = getParentID(Elem1);
	var ParentID2 = getParentID(Elem2);
	return (ParentID1 == ParentID2);
}