<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:template match="/">
	<table width="100%" border="0" cellspacing="0" cellpadding="0" id="tabTreeView" name="tabTreeView">
	<xsl:for-each select="L0">
	<tr><td width="18">
		<xsl:if test="count(L1)>0"><font id="{@name}" class="treenav" onclick="javascript:setTreeView(this.id);"><img id="{@name}_tree" src="images/tree_minussingle.gif"/></font></xsl:if>
		<xsl:if test="count(L1)=0"><img id="{@name}_tree" src="images/1space.gif"/></xsl:if>
		</td>
		<td><img id="{@name}_icon" src="images/{@icon}"/><span style="vertical-align:bottom"><input type="checkbox"
			id="chk{@name}" name="chkEntity" onclick="setTreeEntityStatus(this.id,this.checked);" value="{@gid}" title="{@parent}"/></span><xsl:value-of select="@name"/></td></tr>
	<xsl:if test="count(L1)>0">
	<tr id="{@name}_tab"><td></td><td>
		<table width="100%" border="0" cellpadding="0" cellspacing="0">


		<xsl:for-each select="L1">
		<tr><td width="18">
			<xsl:if test="count(L2)>0"><font id="{@name}" class="treenav" onclick="javascript:setTreeView(this.id);">
				<xsl:if test="position()!=last()"><img id="{@name}_tree" src="images/tree_minus.gif"/></xsl:if>
				<xsl:if test="position()=last()"><img id="{@name}_tree" src="images/tree_minusbottom.gif"/></xsl:if>
				</font>
			</xsl:if>
			<xsl:if test="count(L2)=0">
				<xsl:if test="position()!=last()"><img id="{@name}_tree" src="images/tree_join.gif"/></xsl:if>
				<xsl:if test="position()=last()"><img id="{@name}_tree" src="images/tree_joinbottom.gif"/></xsl:if>
			</xsl:if>
			</td>
			<td><img id="{@name}_icon" src="images/{@icon}"/><span style="vertical-align:bottom"><input type="checkbox" class="text"
				id="chk{@parent}|{@name}" name="chkEntity" onclick="setTreeEntityStatus(this.id,this.checked);" value="{@gid}" title="{@parent}"/></span><xsl:value-of select="@name"/></td></tr>
		<xsl:if test="count(L2)>0">
		<tr id="{@name}_tab">
			<xsl:if test="position()!=last()"><td style="background-image:url(images/tree_line.gif);background-repeat:repeat-y"></td></xsl:if>
			<xsl:if test="position()=last()"><td></td></xsl:if><td>
			<table width="100%" border="0" cellpadding="0" cellspacing="0">
			
			
			<xsl:for-each select="L2">
			<tr><td width="18">
				<xsl:if test="count(L3)>0"><font id="{@name}" class="treenav" onclick="javascript:setTreeView(this.id);">
					<xsl:if test="position()!=last()"><img id="{@name}_tree" src="images/tree_minus.gif"/></xsl:if>
					<xsl:if test="position()=last()"><img id="{@name}_tree" src="images/tree_minusbottom.gif"/></xsl:if>
					</font>
				</xsl:if>
				<xsl:if test="count(L3)=0">
					<xsl:if test="position()!=last()"><img id="{@name}_tree" src="images/tree_join.gif"/></xsl:if>
					<xsl:if test="position()=last()"><img id="{@name}_tree" src="images/tree_joinbottom.gif"/></xsl:if>
				</xsl:if>
				</td>
				<td><img id="{@name}_icon" src="images/{@icon}"/><span style="vertical-align:bottom"><input type="checkbox" class="text"
					id="chk{@parent}|{@name}" name="chkEntity" onclick="setTreeEntityStatus(this.id,this.checked);" value="{@gid}" title="{@parent}"/></span><xsl:value-of select="@name"/></td></tr>
			<xsl:if test="count(L3)>0">
			<tr id="{@name}_tab">
				<xsl:if test="position()!=last()"><td style="background-image:url(images/tree_line.gif);background-repeat:repeat-y"></td></xsl:if>
				<xsl:if test="position()=last()"><td></td></xsl:if><td>
				<table width="100%" border="0" cellpadding="0" cellspacing="0">
			
			
				<xsl:for-each select="L3">
				<tr><td width="18">
					<xsl:if test="count(L4)>0"><font id="{@name}" class="treenav" onclick="javascript:setTreeView(this.id);">
						<xsl:if test="position()!=last()"><img id="{@name}_tree" src="images/tree_minus.gif"/></xsl:if>
						<xsl:if test="position()=last()"><img id="{@name}_tree" src="images/tree_minusbottom.gif"/></xsl:if>
						</font>
					</xsl:if>
					<xsl:if test="count(L4)=0">
						<xsl:if test="position()!=last()"><img id="{@name}_tree" src="images/tree_join.gif"/></xsl:if>
						<xsl:if test="position()=last()"><img id="{@name}_tree" src="images/tree_joinbottom.gif"/></xsl:if>
					</xsl:if>
					</td>
					<td><img id="{@name}_icon" src="images/{@icon}"/><span style="vertical-align:bottom"><input type="checkbox" class="text"
						id="chk{@parent}|{@name}" name="chkEntity" onclick="setTreeEntityStatus(this.id,this.checked);" value="{@gid}" title="{@parent}"/></span><xsl:value-of select="@name"/></td></tr>
				<xsl:if test="count(L4)>0">
				<tr id="{@name}_tab">
					<xsl:if test="position()!=last()"><td style="background-image:url(images/tree_line.gif);background-repeat:repeat-y"></td></xsl:if>
					<xsl:if test="position()=last()"><td></td></xsl:if><td>
					<table width="100%" border="0" cellpadding="0" cellspacing="0">
			
			
					<xsl:for-each select="L4">
					<tr><td width="18">
						<xsl:if test="count(L5)>0"><font id="{@name}" class="treenav" onclick="javascript:setTreeView(this.id);">
							<xsl:if test="position()!=last()"><img id="{@name}_tree" src="images/tree_minus.gif"/></xsl:if>
							<xsl:if test="position()=last()"><img id="{@name}_tree" src="images/tree_minusbottom.gif"/></xsl:if>
							</font>
						</xsl:if>
						<xsl:if test="count(L5)=0">
							<xsl:if test="position()!=last()"><img id="{@name}_tree" src="images/tree_join.gif"/></xsl:if>
							<xsl:if test="position()=last()"><img id="{@name}_tree" src="images/tree_joinbottom.gif"/></xsl:if>
						</xsl:if>
						</td>
						<td><img id="{@name}_icon" src="images/{@icon}"/><span style="vertical-align:bottom"><input type="checkbox" class="text"
							id="chk{@parent}|{@name}" name="chkEntity" onclick="setTreeEntityStatus(this.id,this.checked);" value="{@gid}" title="{@parent}"/></span><xsl:value-of select="@name"/></td></tr>
					<xsl:if test="count(L5)>0">
					<tr id="{@name}_tab">
						<xsl:if test="position()!=last()"><td style="background-image:url(images/tree_line.gif);background-repeat:repeat-y"></td></xsl:if>
						<xsl:if test="position()=last()"><td></td></xsl:if><td>
						<table width="100%" border="0" cellpadding="0" cellspacing="0">
						</table></td></tr>
					</xsl:if>
					</xsl:for-each>
			
				
					</table></td></tr>
				</xsl:if>
				</xsl:for-each>
			
				
				</table></td></tr>
			</xsl:if>
			</xsl:for-each>
			
				
			</table></td></tr>
		</xsl:if>
		</xsl:for-each>
	
		
		</table></td></tr>
	</xsl:if>	
    </xsl:for-each>
    
	</table>
</xsl:template>
</xsl:stylesheet>