<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>


<!--|| TEMPLATE : unscannable entity summary items ||-->
	<xsl:template match="data[@name='report_item_unscannable_summary']">
		<table width="100%" border="0" cellpadding="0" cellspacing="0" class="border">
			<thead>
				<tr>
					<td class="tableheader" colspan="2"><xsl:value-of select="$localization[@name=current()/@name]"/></td>
				</tr>
				<tr>
					<td class="grey"      width="40%"><xsl:value-of select="$localization[@name='activities']"/></td>
					<td class="grey-end"     width="40%"><xsl:value-of select="$localization[@name='frequency']"/></td>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td class="data1b"><xsl:value-of select="$localization[@name='unscannable_entity_count']"/></td>
					<td class="data1b"><xsl:value-of select="datarow/@unscannable_entity_count"/></td>
				</tr>
			</tbody>
		</table>
	</xsl:template>


</xsl:stylesheet>
