<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:template match="/">
	<xsl:for-each select="taskinfo">
		<xsl:for-each select="task">
			<xsl:variable name="toggle"	select="((position()+1) mod 2)+1"/>
			<tr><td><xsl:attribute name="class">data<xsl:value-of select="$toggle"/>b</xsl:attribute>
					<input type="checkbox" id="chkItems" name="SmexPalladianScanTaskName_{@id}" value="{@id}"  onclick="jsItems_Click(fmMain.chkSelectAll,fmMain.chkItems,true);"/>
				</td>
				<td><xsl:attribute name="class">data<xsl:value-of select="$toggle"/>b</xsl:attribute>
					<a href="javascript:jsEditItem('{@id}');"><xsl:value-of select="./@name"/></a>
				</td>
				<td><xsl:attribute name="class">data<xsl:value-of select="$toggle"/>b</xsl:attribute>
					<xsl:value-of select="./@freq"/>
					<xsl:value-of select="./@offset"/>
				</td>
				<td><xsl:attribute name="class">data<xsl:value-of select="$toggle"/>b</xsl:attribute>
					<xsl:value-of select="./@starttime"/>
				</td>
				<td><xsl:attribute name="class">data<xsl:value-of select="$toggle"/>b</xsl:attribute>
					<xsl:choose>
						<xsl:when test="@scanstatus='SS_SUCCESS' or @scanstatus='SS_STOPPED'">
							<a href="{@task_link}" onclick="jsViewDetail(this, this.href);return false;">
							<script>
									document.write(jsScanStatToL10NText('<xsl:value-of select="./@scanstatus"/>'))
							</script>
							</a>
						</xsl:when>
						<xsl:otherwise>
							<script>document.write(jsScanStatToL10NText('<xsl:value-of select="./@scanstatus"/>'))</script>
						</xsl:otherwise>
					</xsl:choose>
				</td>
				<td><xsl:attribute name="class">data<xsl:value-of select="$toggle"/></xsl:attribute>
					<xsl:attribute name="align">center</xsl:attribute>
					<xsl:choose>
						<xsl:when test="@enabled='enabled'">
							<a href="javascript:jsDisable('{@id}');">
								<img src="images/enable_button.gif" class="vAlignMid"/>
							</a>
						</xsl:when>
						<xsl:when test="@enabled='disabled'">
							<a href="javascript:jsEnable('{@id}');">
								<img src="images/disable_button.gif" class="vAlignMid"/>
							</a>
						</xsl:when>
						<xsl:otherwise>
						</xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
		</xsl:for-each>
	</xsl:for-each>
</xsl:template>
</xsl:stylesheet>